searchData={"items":[{"type":"module","title":"StacValidator","doc":"StacValidator provides functions for validating Spatio-Temporal Asset Catalog (STAC) metadata against the STAC specification.","ref":"StacValidator.html"},{"type":"function","title":"StacValidator.validate/2","doc":"Validates a STAC item, collection, or catalog against the STAC specification.","ref":"StacValidator.html#validate/2"},{"type":"function","title":"Examples - StacValidator.validate/2","doc":"iex...> StacValidator.validate(%{\n    \"type\" => \"Feature\",\n    \"stac_version\" => \"1.0.0\",\n    \"id\" => \"example-item\",\n    \"geometry\" => nil,\n    \"properties\" => %{\n      \"datetime\" => \"2024-01-01T00:00:00Z\"\n    },\n    \"links\" => [],\n    \"assets\" => %{}\n   })\n\n   {:ok, true}","ref":"StacValidator.html#validate/2-examples"},{"type":"extras","title":"StacValidator","doc":"# StacValidator\n\nA library for validating SpatioTemporal Asset Catalog (STAC) metadata.","ref":"readme.html"},{"type":"extras","title":"Installation - StacValidator","doc":"The package can be installed by adding `stac_validator` to your list of dependencies in `mix.exs`:\n```elixir\ndef deps do\n  [\n    {:stac_validator, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - StacValidator","doc":"```elixir\nitem = %{\n  \"type\" => \"Feature\",\n  \"stac_version\" => \"1.0.0\",\n  \"id\" => \"example-item\",\n  \"geometry\" => nil,\n  \"properties\" => %{\n    \"datetime\" => \"2024-01-01T00:00:00Z\"\n  },\n  \"links\" => [],\n  \"assets\" => %{}\n}\n\ncase StacValidator.validate_item(item) do\n  {:ok, true} -> IO.puts(\"Valid STAC item!\")\n  {:error, reason} -> IO.puts(\"Invalid STAC item: #{reason}\")\nend\n```\n\nThe documentation can be found at [https://hexdocs.pm/stac_validator](https://hexdocs.pm/stac_validator)","ref":"readme.html#usage"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}